
ctools - Action #1506

Unify usage of edisp parameter througout ctools and cscripts

07/06/2015 04:29 PM - Mayer Michael

Status: Closed Start date: 07/06/2015

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.50 hour

Target version: 1.0.0   

Description

Currently some (but not all) tools allow the usage of energy dispersion (at least via the parameter interface). This should be unified

before the 1.0 release.

I've checked each tool and cscript. Here is a list which tools should support the usage of the edisp parameter (but don't do at the

moment):

ctbutterfly

cterror

cttsmap

ctulimit

csspec

csresmap

cslightcrv

cssens

History

#1 - 07/06/2015 04:35 PM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

- % Done changed from 0 to 100

- Estimated time set to 0.50

- Remaining (hours) set to 0.5

On branch 1506-unify-usage-of-edisp. I added support to use energy dispersion to cshessobs as well. In addition, I added a method to cshessobs to

retrieve the energy range of the complete observation list.

#2 - 07/13/2015 02:45 PM - Mayer Michael

I realised that I also committed some of code in ctbin which I used for testing purposes. Please ignore that when merging this pull request.

#3 - 07/23/2015 05:26 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Remaining (hours) changed from 0.5 to 0.0

Merged into devel (excluding the ctbin change)

#4 - 07/23/2015 05:27 PM - Knödlseder Jürgen

By the way: updated also the reference documentation.
